
.animated{-webkit-animation-duration:1s;animation-duration:1s;-webkit-animation-fill-mode:both;animation-fill-mode:both}
.animated.infinite{-webkit-animation-iteration-count:infinite;animation-iteration-count:infinite}

@-webkit-keyframes rotateDown {
	0% {
		-webkit-transform: perspective(1300px) translateY(-100%) rotate3d(1, 0, 0, 90deg);
		-webkit-transform-origin: 0 -100%;
		-moz-transform: perspective(1300px) translateY(-100%) rotate3d(1, 0, 0, 90deg);
		-moz-transform-origin: 0 -100%;
		transform: perspective(1300px) translateY(-100%) rotate3d(1, 0, 0, 90deg);
		transform-origin: 0 -100%;
		opacity: 0;
	}
	100% {
		-webkit-transform: perspective(1300px) translateY(0%) rotate3d(1, 0, 0, 0deg);
		-moz-transform: perspective(1300px) translateY(0%) rotate3d(1, 0, 0, 0deg);
		transform: perspective(1300px) translateY(0%) rotate3d(1, 0, 0, 0deg);
		opacity: 1;
	}
}
@keyframes rotateDown {
	0% {
		-webkit-transform: perspective(1300px) translateY(-100%) rotate3d(1, 0, 0, 90deg);
		-webkit-transform-origin: 0 -100%;
		-moz-transform: perspective(1300px) translateY(-100%) rotate3d(1, 0, 0, 90deg);
		-moz-transform-origin: 0 -100%;
		transform: perspective(1300px) translateY(-100%) rotate3d(1, 0, 0, 90deg);
		transform-origin: 0 -100%;
		opacity: 0;
	}
	100% {
		-webkit-transform: perspective(1300px) translateY(0%) rotate3d(1, 0, 0, 0deg);
		-moz-transform: perspective(1300px) translateY(0%) rotate3d(1, 0, 0, 0deg);
		transform: perspective(1300px) translateY(0%) rotate3d(1, 0, 0, 0deg);
		opacity: 1;
	}
}

.rotateDown {
	-webkit-backface-visibility: visible !important; backface-visibility: visible !important; -webkit-animation-name: rotateDown; animation-name: rotateDown
}


@-webkit-keyframes rotateUp {
	0% {
		-webkit-transform: perspective(1300px) translateY(0%) rotate3d(1, 0, 0, 0deg);
		-moz-transform: perspective(1300px) translateY(0%) rotate3d(1, 0, 0, 0deg);
		transform: perspective(1300px) translateY(0%) rotate3d(1, 0, 0, 0deg);
		opacity: 1;
	}
	100% {
		-webkit-transform: perspective(1300px) translateY(-100%) rotate3d(1, 0, 0, 90deg);
		-webkit-transform-origin: 0 -100%;
		-moz-transform: perspective(1300px) translateY(-100%) rotate3d(1, 0, 0, 90deg);
		-moz-transform-origin: 0 -100%;
		transform: perspective(1300px) translateY(-100%) rotate3d(1, 0, 0, 90deg);
		transform-origin: 0 -100%;
		opacity: 0;
	}
}
@keyframes rotateUp {
	0% {
		-webkit-transform: perspective(1300px) translateY(0%) rotate3d(1, 0, 0, 0deg);
		-moz-transform: perspective(1300px) translateY(0%) rotate3d(1, 0, 0, 0deg);
		transform: perspective(1300px) translateY(0%) rotate3d(1, 0, 0, 0deg);
		opacity: 1;
	}
	100% {
		-webkit-transform: perspective(1300px) translateY(-100%) rotate3d(1, 0, 0, 90deg);
		-webkit-transform-origin: 0 -100%;
		-moz-transform: perspective(1300px) translateY(-100%) rotate3d(1, 0, 0, 90deg);
		-moz-transform-origin: 0 -100%;
		transform: perspective(1300px) translateY(-100%) rotate3d(1, 0, 0, 90deg);
		transform-origin: 0 -100%;
		opacity: 0;
	}
}

.rotateUp {
	-webkit-backface-visibility: visible !important; backface-visibility: visible !important; -webkit-animation-name: rotateUp; animation-name: rotateUp
}

@-webkit-keyframes pendulum {
	0% {}
	2% { -webkit-transform: perspective(400px) rotate3d(0, 1, 0, 70deg); transform: perspective(400px) rotate3d(0, 1, 0, 70deg); -webkit-transition-timing-function: ease-in; transition-timing-function: ease-in; opacity: 0; }
	40% { -webkit-transform: perspective(400px) rotate3d(0, 1, 0, -15deg); transform: perspective(400px) rotate3d(0, 1, 0, -15deg); -webkit-transition-timing-function: ease-in; transition-timing-function: ease-in; }
	60% { -webkit-transform: perspective(400px) rotate3d(0, 1, 0, 7deg); transform: perspective(400px) rotate3d(0, 1, 0, 7deg); opacity: 1; }
	80% { -webkit-transform: perspective(400px) rotate3d(0, 1, 0, -3deg); transform: perspective(400px) rotate3d(0, 1, 0, -3deg); opacity: 1; }
	100% { -webkit-transform: perspective(400px); transform: perspective(400px); opacity: 1; }
}
@keyframes pendulum {
	0% {}
	2% { -webkit-transform: perspective(400px) rotate3d(0, 1, 0, 70deg); transform: perspective(400px) rotate3d(0, 1, 0, 70deg); -webkit-transition-timing-function: ease-in; transition-timing-function: ease-in; opacity: 0; }
	40% { -webkit-transform: perspective(400px) rotate3d(0, 1, 0, -15deg); transform: perspective(400px) rotate3d(0, 1, 0, -15deg); -webkit-transition-timing-function: ease-in; transition-timing-function: ease-in; }
	60% { -webkit-transform: perspective(400px) rotate3d(0, 1, 0, 7deg); transform: perspective(400px) rotate3d(0, 1, 0, 7deg); opacity: 1; }
	80% { -webkit-transform: perspective(400px) rotate3d(0, 1, 0, -3deg); transform: perspective(400px) rotate3d(0, 1, 0, -3deg); opacity: 1; }
	100% { -webkit-transform: perspective(400px); transform: perspective(400px); opacity: 1; }
}

@-webkit-keyframes verticalPendulum {
	0% {}
	2% { -webkit-transform: perspective(400px) rotate3d(1, 0, 0, 90deg); transform: perspective(400px) rotate3d(1, 0, 0, 90deg); -webkit-transition-timing-function: ease-in; transition-timing-function: ease-in; opacity: 0; }
	40% { -webkit-transform: perspective(400px) rotate3d(1, 0, 0, -20deg); transform: perspective(400px) rotate3d(1, 0, 0, -20deg); -webkit-transition-timing-function: ease-in; transition-timing-function: ease-in; }
	60% { -webkit-transform: perspective(400px) rotate3d(1, 0, 0, 10deg); transform: perspective(400px) rotate3d(1, 0, 0, 10deg); opacity: 1; }
	80% { -webkit-transform: perspective(400px) rotate3d(1, 0, 0, -5deg); transform: perspective(400px) rotate3d(1, 0, 0, -5deg); opacity: 1; }
	100% { -webkit-transform: perspective(400px); transform: perspective(400px); opacity: 1; }
}
@keyframes verticalPendulum {
	0% {}
	2% { -webkit-transform: perspective(400px) rotate3d(1, 0, 0, 90deg); transform: perspective(400px) rotate3d(1, 0, 0, 90deg); -webkit-transition-timing-function: ease-in; transition-timing-function: ease-in; opacity: 0; }
	40% { -webkit-transform: perspective(400px) rotate3d(1, 0, 0, -20deg); transform: perspective(400px) rotate3d(1, 0, 0, -20deg); -webkit-transition-timing-function: ease-in; transition-timing-function: ease-in; }
	60% { -webkit-transform: perspective(400px) rotate3d(1, 0, 0, 10deg); transform: perspective(400px) rotate3d(1, 0, 0, 10deg); opacity: 1; }
	80% { -webkit-transform: perspective(400px) rotate3d(1, 0, 0, -5deg); transform: perspective(400px) rotate3d(1, 0, 0, -5deg); opacity: 1; }
	100% { -webkit-transform: perspective(400px); transform: perspective(400px); opacity: 1; }
}

.popover.fade {
	opacity: 0;
	-webkit-animation-fill-mode:both;animation-fill-mode:both;
	-webkit-backface-visibility: visible !important; backface-visibility: visible !important; -webkit-animation-name: verticalPendulum; animation-name: verticalPendulum;
	-webkit-animation-duration:0.6s !important;animation-duration:0.6s !important;
}

.fade {
	transition: none;
}

.daterangepicker,
.popover.fade-horizontaly {
	-webkit-animation-name: pendulum !important; animation-name: pendulum !important;
	-webkit-animation-duration:0.6s !important;animation-duration:0.6s !important;
}

#filtersContainer .popover.fade {
	-webkit-animation-name: pendulum !important; animation-name: pendulum !important;
	-webkit-animation-duration:0.6s !important;animation-duration:0.6s !important;
}